package cn.com.qmth.examcloud.task.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.task.dao.entity.DataSyncEntity;

@Repository
public interface DataSyncRepo
		extends
			JpaRepository<DataSyncEntity, Long>,
			JpaSpecificationExecutor<DataSyncEntity> {

	List<DataSyncEntity> findTop10ByComponentAndMethodNameOrderById(String component,
			String methodName);

}
