package cn.com.qmth.examcloud.task.dao;

import java.util.List;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.task.dao.entity.ExamStudentTempEntity;

@Repository
public interface ExamStudentTempRepo
		extends
			JpaRepository<ExamStudentTempEntity, Long>,
			JpaSpecificationExecutor<ExamStudentTempEntity> {

	List<ExamStudentTempEntity> findByBatchIdAndStatusCodeIsNull(Long batchId, Pageable pageable);

	void deleteByBatchId(Long batchId);

}
