package cn.com.qmth.examcloud.task.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.task.dao.entity.TaskTraceEntity;

@Repository
public interface TaskTraceRepo
		extends
			JpaRepository<TaskTraceEntity, Long>,
			JpaSpecificationExecutor<TaskTraceEntity> {

	TaskTraceEntity findByTraceId(String traceId);

}
