package cn.com.qmth.examcloud.task.base;

/**
 * 任务跟踪记载器
 *
 * @author WANGWEI
 * @date 2018年7月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface TaskTracker {

	/**
	 * 启动
	 *
	 * @author WANGWEI
	 * @param scheduleJob
	 * @param traceId
	 */
	void start(final ScheduleJob scheduleJob, final String traceId);

	/**
	 * 异常
	 *
	 * @author WANGWEI
	 * @param scheduleJob
	 * @param traceId
	 * @param e
	 */
	void whenException(final ScheduleJob scheduleJob, final String traceId, Exception e);

	/**
	 * 结束
	 *
	 * @author WANGWEI
	 * @param scheduleJob
	 * @param traceId
	 */
	void onEnd(final ScheduleJob scheduleJob, final String traceId);

}
