package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.oe.student.api.OeStudentExamRecordCloudService;
import cn.com.qmth.examcloud.task.base.AbstractTask;
import cn.com.qmth.examcloud.task.base.ScheduleJob;
import cn.com.qmth.examcloud.task.base.TaskTracker;

/**
 * 
 * @author chenken
 * @date 2018年7月11日 上午11:02:50
 * @company QMTH
 * @description 网考考试记录清理job
 */
@Component("oeCleanExamRecordTask")
public class OeCleanExamRecordTask extends AbstractTask {

	@Autowired
	TaskTracker taskTracker;
	
	@Autowired
	private OeStudentExamRecordCloudService oeStudentExamRecordCloudService;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		oeStudentExamRecordCloudService.cleanExamRecords();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return taskTracker;
	}
}
